Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers.servlet
Class NavigationTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.console.plugins.helpers.servlet.NavigationTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, Serializable, javax.servlet.jsp.tagext.Tag

public class NavigationTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NavigationTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`String` | `getSelectedTabName()`
`void` | `setSelectedTabName(String string)`
`void` | `setTabs(Tab tab)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationTag

    public NavigationTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### setTabs

    public final void setTabs(Tab tab)

### getSelectedTabName

    public String getSelectedTabName()

  Returns:

### setSelectedTabName

    public void setSelectedTabName(String string)

  Parameters:
    `string` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.